Bug 215563 - Review Request: aquamarine - Themeable window decorator and compositing manager for Beryl
Review Request: aquamarine - Themeable window decorator and compositing manag...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 209259
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-14 12:20 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 15:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-11-14 12:20:05 EST
Spec URL: http://wilsonet.com/packages/beryl/aquamarine.spec
SRPM URL: http://wilsonet.com/packages/beryl/aquamarine-0.1.2-1.fc6.src.rpm
Description:
Aquamarine is themeable window decorator and compositing
manager for Beryl. Launch Theme Manager from
beryl-manager to change themes. Aquamarine is intended
for use with KDE.

Depends on beryl-core, submitted for FE-review under bug 209259.
Comment 1 Michał Bentkowski 2006-11-16 14:35:57 EST
I think this package may be approved, the only problem is a lack of license file
so I'm not able to check if aquamarine is really GPL ;)
I'll do a full review later.
Comment 2 Michał Bentkowski 2006-11-16 14:51:57 EST
MUST items:
 * rpmlint output:
W: aquamarine no-documentation
 (no documentation provided by upstream)
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
?* package is licensed with an GPL open-source compatible license
?* License field in spec file matches actual license 
 * license file isn't included in %doc
 * no upstream release, unable to check md5
 * package successfully compiles on x86_64
 * BuildRequires listed well (mock builds successfully)
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well

License is not included in a package, I couldn't find any reliable site
to check its license. Thus, if you show me a place where the license's written,
I'll be happy to approve this package :)
Comment 3 Jarod Wilson 2006-11-16 18:36:58 EST
Only place I'm seeing anything about the license is currently in the source code
itself (src/aquamarine.cpp):

/*
 *  Aquamarine the KDE window decorator
 *
 *  Copyright (c) 2006 Dennis Kasprzyk <onestone@beryl-project.org>
 *  Copyright (c) 2006 Volker Krause <vkrause@kde.org>
 *
 *  Uses code of:
 *      Emerald window decorator (www.beryl-project.org)
 *      KWin window manager (www.kde.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

So it *is* GPL, they just haven't got around to putting evidence of that
somewhere sensible yet. :)

Also, there's a new build that has trimmed down BR (needs beryl-core-devel >=
0.1.2-5):

http://wilsonet.com/packages/beryl/aquamarine-0.1.2-2.fc6.src.rpm
Comment 4 Mamoru TASAKA 2006-11-17 12:45:30 EST
mock build suceeds on FC-devel i386.

* BuildRequires: qt, kdelibs
  This is not needed to be written as libraries' dependency
  on this package automatically requires them (libqt-mt.so.3 and
  libkdecore.so.4)
Comment 5 Jarod Wilson 2006-11-17 13:52:34 EST
New build, removes Requires: on qt and kdelibs, relies on auto-gen'd lib deps.

http://wilsonet.com/packages/beryl/aquamarine-0.1.2-3.fc6.src.rpm
Comment 6 Michał Bentkowski 2006-11-17 16:52:19 EST
Approved.

Note You need to log in before you can comment on or make changes to this bug.